<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright (C) 2013-2018  Stephan Kreutzer

This file is part of Free Scriptures.

Free Scriptures is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3 or any later version,
as published by the Free Software Foundation.

Free Scriptures is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License 3 for more details.

You should have received a copy of the GNU Affero General Public License 3
along with Free Scriptures. If not, see <http://www.gnu.org/licenses/>.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" encoding="UTF-8"/>

  <xsl:template match="XMLBIBLE">
    <xsl:text>\documentclass[a4paper,twoside]{article}&#xA;</xsl:text>
    <xsl:text>% This file was generated by haggai2latex11.xsl, which is free software licensed under the GNU Affero General Public License 3 or any later version (see https://gitlab.com/free-scriptures/free-scriptures/ and http://www.free-scriptures.org).&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\usepackage[utf8]{inputenc}&#xA;</xsl:text>
    <xsl:text>\usepackage{ngerman}&#xA;</xsl:text>
    <xsl:text>\usepackage{eledmac}&#xA;</xsl:text>
    <xsl:text>\usepackage{zref-user, zref-perpage}&#xA;</xsl:text>
    <xsl:text>\usepackage{ifthen}&#xA;</xsl:text>
    <xsl:text>\usepackage{fancyhdr}&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\setlength{\parskip}{0pt}&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <!-- eledmac -->
    <xsl:text>\footparagraph{A}&#xA;</xsl:text>
    <xsl:text>\footparagraph{B}&#xA;</xsl:text>
    <xsl:text>\nonumberinfootnote[A]&#xA;</xsl:text>
    <xsl:text>\nonumberinfootnote[B]&#xA;</xsl:text>
    <xsl:text>\lemmaseparator[A]{}&#xA;</xsl:text>
    <xsl:text>\lemmaseparator[B]{}&#xA;</xsl:text>
    <xsl:text>\afternote[A]{0em}&#xA;</xsl:text>
    <xsl:text>\afternote[B]{0em}&#xA;</xsl:text>
    <xsl:text>\afterlemmaseparator[A]{0em}&#xA;</xsl:text>
    <xsl:text>\afterlemmaseparator[B]{0em}&#xA;</xsl:text>
    <xsl:text>\renewcommand*{\thefootnoteB}{\alph{footnoteB}}&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\zmakeperpage{footnoteA}&#xA;</xsl:text>
    <xsl:text>\zmakeperpage{footnoteB}&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\linenummargin{outer}&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\newcommand{\versesstart}&#xA;</xsl:text>
    <xsl:text>{%&#xA;</xsl:text>
    <xsl:text>    \startlock%&#xA;</xsl:text>
    <xsl:text>    \setcounter{firstlinenum}{999}%&#xA;</xsl:text>
    <xsl:text>}%&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\newcommand{\versesend}&#xA;</xsl:text>
    <xsl:text>{%&#xA;</xsl:text>
    <xsl:text>    \endlock%&#xA;</xsl:text>
    <xsl:text>    \setcounter{firstlinenum}{5}%&#xA;</xsl:text>
    <xsl:text>}%&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\newcommand{\versenumber}[1]&#xA;</xsl:text>
    <xsl:text>{%&#xA;</xsl:text>
    <xsl:text>    \sidenotemargin{outer}%&#xA;</xsl:text>
    <xsl:text>    \ledsidenote{#1}%&#xA;</xsl:text>
    <xsl:text>    \setline{#1}%&#xA;</xsl:text>
    <xsl:text>}%&#xA;</xsl:text>
    <!-- zref-user -->
    <xsl:text>
\makeatletter
\zref@newprop{originalfootnoteA}[0]{\thefootnoteA}
\zref@addprop{main}{originalfootnoteA}

\newcommand*{\footnotemarkrefA}[1]
{%
    \zref@extractdefault{#1}{originalfootnoteA}{0}%
}%

\newcommand*{\footnotemarklabelA}[1]
{%
	\zref@labelbyprops{#1}{originalfootnoteA}%
}%
\makeatother</xsl:text>
    <xsl:text>
\makeatletter
\zref@newprop{originalfootnoteB}[0]{\thefootnoteB}
\zref@addprop{main}{originalfootnoteB}

\newcommand*{\footnotemarkrefB}[1]
{%
    \zref@extractdefault{#1}{originalfootnoteB}{0}%
}%

\newcommand*{\footnotemarklabelB}[1]
{%
	\zref@labelbyprops{#1}{originalfootnoteB}%
}%
\makeatother
&#xA;</xsl:text>
    <!-- fancyhdr -->
    <xsl:text>\pagestyle{fancy}&#xA;</xsl:text>
    <xsl:text>\fancyhead{}&#xA;</xsl:text>
    <xsl:text>\fancyfoot{}&#xA;</xsl:text>
    <xsl:text>\fancyhead[C]{\leftmark}&#xA;</xsl:text>
    <xsl:text>\fancyhead[L]{\ifthenelse{\isodd{\value{page}}}{}{\thepage}}&#xA;</xsl:text>
    <xsl:text>\fancyhead[R]{\ifthenelse{\not\isodd{\value{page}}}{}{\thepage}}&#xA;</xsl:text>
    <xsl:text>\setlength{\headsep}{4.6pt}&#xA;</xsl:text>
    <xsl:text>\renewcommand{\headrulewidth}{0.5pt}&#xA;</xsl:text>
    <xsl:text>
\makeatletter
  \renewcommand\Afootnoterule{%
  \kern-3\p@
  \hrule\@width \textwidth
  \kern2.6\p@}
\makeatother
&#xA;</xsl:text>
    <xsl:text>\begin{document}&#xA;</xsl:text>
    <xsl:apply-templates select="BIBLEBOOK"/>
    <xsl:text>\end{document}&#xA;</xsl:text>
  </xsl:template>

  <xsl:template match="BIBLEBOOK">
    <xsl:text>\begin{center}&#xA;</xsl:text>
    <xsl:text>\LARGE \textbf{</xsl:text>
    <xsl:choose>
      <xsl:when test="./CAPTION">
        <xsl:value-of select="./CAPTION"/>
      </xsl:when>
      <xsl:when test="./@bname">
        <xsl:value-of select="./@bname"/>
      </xsl:when>
      <xsl:when test="./@bsname">
        <xsl:value-of select="./@bsname"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="./@bnumber"/>
        <xsl:text>. Buch</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>}&#xA;</xsl:text>
    <xsl:text>\end{center}&#xA;</xsl:text>
    <xsl:text>\vspace*{\baselineskip}&#xA;</xsl:text>
    <xsl:apply-templates select="CHAPTER"/>
    <xsl:text>\pagebreak{}&#xA;</xsl:text>
  </xsl:template>
  <xsl:template match="CHAPTER">
    <xsl:text>\begin{center}&#xA;</xsl:text>
    <xsl:text>\textbf{\large Kapitel </xsl:text>
    <xsl:value-of select="./@cnumber"/>
    <xsl:text>}&#xA;</xsl:text>
    <xsl:text>\end{center}&#xA;</xsl:text>
    <xsl:text>\markboth{</xsl:text>
    <xsl:choose>
      <xsl:when test="../@bname">
        <xsl:value-of select="../@bname"/>
      </xsl:when>
      <xsl:when test="./@bsname">
        <xsl:value-of select="../@bsname"/>
      </xsl:when>
    </xsl:choose>
    <xsl:text> </xsl:text><xsl:value-of select="./@cnumber"/><xsl:text>}{</xsl:text>
    <xsl:choose>
      <xsl:when test="../@bname">
        <xsl:value-of select="../@bname"/>
      </xsl:when>
      <xsl:when test="../@bsname">
        <xsl:value-of select="../@bsname"/>
      </xsl:when>
    </xsl:choose>
    <xsl:text> </xsl:text><xsl:value-of select="./@cnumber"/><xsl:text>}&#xA;</xsl:text>
    <xsl:text>\beginnumbering&#xA;</xsl:text>
    <xsl:text>\versesstart&#xA;</xsl:text>
    <xsl:text>\pstart&#xA;</xsl:text>
    <xsl:text>\noindent{}</xsl:text>
    <xsl:apply-templates select="VERSE | PARAGRAPH"/>
    <xsl:text>\pend&#xA;</xsl:text>
    <xsl:text>\versesend&#xA;</xsl:text>
    <xsl:text>\endnumbering&#xA;</xsl:text>
    <xsl:text>\vspace*{\baselineskip}&#xA;</xsl:text>
  </xsl:template>
  <xsl:template match="PARAGRAPH">
    <xsl:apply-templates select="VERSE"/>
    <!-- Default TeX paragraph. -->
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>
  <xsl:template match="VERSE">
    <xsl:text>\versenumber{</xsl:text>
    <xsl:value-of select="@vnumber"/>
    <xsl:text>}</xsl:text>
    <xsl:if test="not(@vnumber = 1)">
      <xsl:text>\textasteriskcentered </xsl:text>
    </xsl:if>
    <xsl:apply-templates/>
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>

  <xsl:template match="VERSE//text()">
    <xsl:value-of select="."/>
  </xsl:template>
  <xsl:template match="NOTE">
    <!-- \edtext{\stepcounter{footnoteA}\footnotemarklabelA{footnoteA:book:chapter:verse:footnote}\footnotemark[\footnotemarkrefA{footnoteA:book:chapter:verse:footnote}]}{\lemma{\footnotemark[\footnotemarkrefA{footnoteA:book:chapter:verse:footnote}] chapter,verse}\Afootnote{text}} -->
    <xsl:choose>
      <xsl:when test="@type = 'variant'">
        <xsl:text>\edtext{\stepcounter{footnoteB}\footnotemarklabelB{footnoteB:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../../@bnumber">
            <xsl:value-of select="../../../../@bnumber"/>
          </xsl:when>
          <xsl:when test="../../../@bnumber">
            <xsl:value-of select="../../../@bnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../@cnumber">
            <xsl:value-of select="../../../@cnumber"/>
          </xsl:when>
          <xsl:when test="../../@cnumber">
            <xsl:value-of select="../../@cnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="../@vnumber"/>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="count(preceding-sibling::NOTE)"/>
        <xsl:text>}\textsuperscript{\footnotemarkrefB{footnoteB:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../../@bnumber">
            <xsl:value-of select="../../../../@bnumber"/>
          </xsl:when>
          <xsl:when test="../../../@bnumber">
            <xsl:value-of select="../../../@bnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../@cnumber">
            <xsl:value-of select="../../../@cnumber"/>
          </xsl:when>
          <xsl:when test="../../@cnumber">
            <xsl:value-of select="../../@cnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="../@vnumber"/>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="count(preceding-sibling::NOTE)"/>
        <xsl:text>}}}{\lemma{\textsuperscript{\footnotemarkrefB{footnoteB:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../../@bnumber">
            <xsl:value-of select="../../../../@bnumber"/>
          </xsl:when>
          <xsl:when test="../../../@bnumber">
            <xsl:value-of select="../../../@bnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../@cnumber">
            <xsl:value-of select="../../../@cnumber"/>
          </xsl:when>
          <xsl:when test="../../@cnumber">
            <xsl:value-of select="../../@cnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="../@vnumber"/>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="count(preceding-sibling::NOTE)"/>
        <xsl:text>}} </xsl:text>
        <xsl:choose>
          <xsl:when test="../../../@cnumber">
            <xsl:value-of select="../../../@cnumber"/>
          </xsl:when>
          <xsl:when test="../../@cnumber">
            <xsl:value-of select="../../@cnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="../@vnumber"/>
        <xsl:text>}\Bfootnote{</xsl:text>
        <xsl:apply-templates/>
        <xsl:text>}}</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>\edtext{\stepcounter{footnoteA}\footnotemarklabelA{footnoteA:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../../@bnumber">
            <xsl:value-of select="../../../../@bnumber"/>
          </xsl:when>
          <xsl:when test="../../../@bnumber">
            <xsl:value-of select="../../../@bnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../@cnumber">
            <xsl:value-of select="../../../@cnumber"/>
          </xsl:when>
          <xsl:when test="../../@cnumber">
            <xsl:value-of select="../../@cnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="../@vnumber"/>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="count(preceding-sibling::NOTE)"/>
        <xsl:text>}\footnotemark[\footnotemarkrefA{footnoteA:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../../@bnumber">
            <xsl:value-of select="../../../../@bnumber"/>
          </xsl:when>
          <xsl:when test="../../../@bnumber">
            <xsl:value-of select="../../../@bnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../@cnumber">
            <xsl:value-of select="../../../@cnumber"/>
          </xsl:when>
          <xsl:when test="../../@cnumber">
            <xsl:value-of select="../../@cnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="../@vnumber"/>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="count(preceding-sibling::NOTE)"/>
        <xsl:text>}]}{\lemma{\footnotemark[\footnotemarkrefA{footnoteA:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../../@bnumber">
            <xsl:value-of select="../../../../@bnumber"/>
          </xsl:when>
          <xsl:when test="../../../@bnumber">
            <xsl:value-of select="../../../@bnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:choose>
          <xsl:when test="../../../@cnumber">
            <xsl:value-of select="../../../@cnumber"/>
          </xsl:when>
          <xsl:when test="../../@cnumber">
            <xsl:value-of select="../../@cnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="../@vnumber"/>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="count(preceding-sibling::NOTE)"/>
        <xsl:text>}] </xsl:text>
        <xsl:choose>
          <xsl:when test="../../../@cnumber">
            <xsl:value-of select="../../../@cnumber"/>
          </xsl:when>
          <xsl:when test="../../@cnumber">
            <xsl:value-of select="../../@cnumber"/>
          </xsl:when>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="../@vnumber"/>
        <xsl:text>}\Afootnote{</xsl:text>
        <xsl:apply-templates/>
        <xsl:text>}}</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template match="STYLE">
    <xsl:choose>
      <xsl:when test="@fs='super'">
        <xsl:text>$\langle$</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>$\rangle$</xsl:text>
      </xsl:when>
      <xsl:when test="@fs='emphasis'">
        <xsl:text>\textbf{</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>}</xsl:text>
      </xsl:when>
      <xsl:when test="@fs='italic'">
        <xsl:text>\textit{</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>}</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>
  <xsl:template match="NOTE//text()">
    <xsl:value-of select="."/>
  </xsl:template>

</xsl:stylesheet>
